.dotfiles
=================

Managed with [Dotbot] [dotbot]

How to install
-----------------

```bash
# install zsh first
sudo apt install zsh git

# do the dance
git clone https://git.inhji.de/inhji/dotfiles.git .dotfiles
~/.dotfiles/install
chsh -s /usr/bin/zsh
```

After that, read [POSTINSTALL](POSTINSTALL.md)

Tips
-----------------

In general, you should be using symbolic links for everything, and using git
submodules whenever possible.

To keep submodules at their proper versions, you could include something like
`git submodule update --init --recursive` in your `install.conf.yaml`.

To upgrade your submodules to their latest versions, you could periodically run
`git submodule update --init --remote`.


[dotbot]: https://github.com/anishathalye/dotbot
